generator:
  class: dmAdminDoctrineGenerator
  param:
    model_class: DmCatalogue
    theme: dmAdmin
    non_verbose_templates: true
    with_show: false
    route_prefix: dm_catalogue
    with_doctrine_route: false
    config:
      actions: ~
      fields: {  }
      list:
        display:
          - '=name'
          - source_lang
          - target_lang
          - units_list
        sort:
          - name
          - asc
        table_method: getAdminListQuery
        table_count_method: ~
        sortable: false
        loremize: false
        object_actions:
          _edit: ~
          _delete: ~
          exportSentences:
            label: Export
            title: 'Export sentences to YAML'
          importSentences:
            label: Import
            title: 'Import sentences from YAML'
      filter:
        display:
          - name
          - source_lang
          - target_lang
      form:
        display:
          NONE: [name]
          Others: [source_lang, target_lang]
          Messages: [units_list]
        class: DmCatalogueAdminForm
        fields: {  }
      edit: ~
      new: ~
